### Method

# Gtk TextBuffer add_mark

#### Declaration [src]

    void
    gtk_text_buffer_add_mark (
      GtkTextBuffer* buffer,
      GtkTextMark* mark,
      const GtkTextIter* where
    )

#### Description [src]

Adds the mark at position `where`.

The mark must not be added to another buffer, and if its name is not `NULL` then there must not be another mark in the buffer with the same name.

Emits the `GtkTextBuffer::mark-set` signal as notification of the mark’s initial placement.

#### Parameters

`mark`

  Type: `GtkTextMark`

  The mark to add.

  The data is owned by the caller of the method.

`where`

  Type: `GtkTextIter`

  Location to place mark.

  The data is owned by the caller of the method.